language: cn
model_unique_abbr: buffer_whiteboxtools
version: 1.0
identification:
  docker_image_name: whitebox-tools:2.0.0
  model_name: 缓冲区分析（栅格-GeoTIFF）
  semantic: buffer
  description: 用于生成栅格数据集指定距离下的缓冲区。
  category_application: 诊断型
  category_data:
  - 栅格数据
  keywords:
  - 邻域分析
  - 栅格数据分析
  - 缓冲区
parameter_info:
  parameters:
  - arg_name: r
    param_type: param
    visible: false
    name: 构建方式
    description: 对输入数据构建缓冲区的方式
    data_type: str
    data_semantic: buffer mode
    specification:
      default: BufferRaster
  - arg_name: i
    param_type: input_data
    name: 输入数据
    description: 栅格空间数据，输入数据格式为tif。
    data_type: geotiff
    data_semantic: raster space data
  - arg_name: size
    is_single_en_dash: false
    param_type: param
    name: 缓冲区大小
    description: 缓冲区的范围大小，输入为大于0的浮点型数值。
    data_type: float
    data_semantic: size
    specification:
      default: 10
      range:
      - "(0,)"
  - arg_name: gridcells
    is_single_en_dash: false
    param_type: param
    name: 是否以网格单元为单位度量缓冲大小
    description: 可选标志，指示“缓冲区大小”范围是否以格网单元格为单位进行测量，勾选为是，不勾选为否，默认为是。
    is_required: false
    data_type: bool
    data_semantic: gridcells
    specification:
      default: "true"
  - arg_name: o
    param_type: output_data
    name: 缓冲区分析结果
    description: 缓冲区分析结果，结果文件保存为tif格式。
    data_type: geotiff
    data_semantic: buffer result spatial data
application:
  domain: 栅格数据缓冲区分析
  objective: 确定栅格像元指定距离内的目标区域。
  mechanism: 计算每个像元与输入栅格单元之间的欧氏距离，输出距离小于设定阈值的栅格单元作为缓冲区
operation:
  usage: 用户必须指定输入和输出图像名称、所需的缓冲区大小，以及（可选）是否以栅格单元格（即标志）。如果未指定该标志，则将使用栅格坐标参考系的线性单位。
  exec_example:
  - docker run -v $(pwd):/data whitebox-tools:2.0.0 -r=BufferRaster -i=/data/example_3857.tif -o=/data/BufferRaster_out.tif
  license:
  - MIT
technique:
  language:
  - Rust
  os:
  - Linux
  - Windows
source:
  maintainer: Haotian Zhang
  organization: Wuhan University
  contact: 1049662535@qq.com
  repository: https://github.com/jblindsay/whitebox-tools
  integrated_softwares:
  - name: whitebox_tools
    version: 2.0
    license: MIT
  references:
  - "Dong, P, Yang, C., Rui, X., Zhang, L., Cheng, Q. (2003)，An effective buffer generation method in GIS. Geoscience and Remote Sensing Symposium, IGARSS '03. Proceedings. 2003 IEEE International, Vol.6, p.3706-3708. online."
  - https://www.whiteboxgeo.com/manual/wbt_book/available_tools/gis_analysis_distance_tools.html#BufferRaster
